Bug 524458 - Macbook Pro 5,5 video does not resume (with and without Nouveau KMS)
Summary: Macbook Pro 5,5 video does not resume (with and without Nouveau KMS)
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-20 13:41 UTC by Tobias Florek
Modified: 2011-10-11 20:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-11 20:31:33 UTC


Attachments (Terms of Use)
pm-utils-bugreport-info.sh output with kms (7.55 KB, application/octet-stream)
2009-09-20 13:41 UTC, Tobias Florek
no flags Details

Description Tobias Florek 2009-09-20 13:41:06 UTC
Created attachment 361821 [details]
pm-utils-bugreport-info.sh output with kms

Description of problem:

The Macbook suspends ok, but when resuming, the screens stays black (no screen activity). this happens with nouveau modeset and without (nomodeset on kernel cmdline). I can still ssh into it. with pm-suspend --quirk-s3-mode freezes the machine when waking up.

Version-Release number of selected component (if applicable):
rawhide from 20th of september 09, kernel 2.6.31-33.fc12.x86_64, newest efi-firmware, newest refit (cannot get more details now).

How reproducible:
Every time.

Steps to Reproduce:
1. boot to runlevel 3 (maybe with cmdline nomodeset)
1. pm-suspend (maybe with --quirks-...)
2. Wake up the Macbook (power-button or opening the closed lid)
  
Actual results:
Black screen

Expected results:
Shiny command-line.

Comment 1 Bug Zapper 2009-11-16 12:40:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Tim Swast 2010-03-26 00:39:47 UTC
I have the same problem, but my Macbook is a bit older (Intel graphics drivers).

Comment 3 Tobias Florek 2010-08-29 14:35:19 UTC
fedora 13 does suspend and resume with kernel cmdline: acpi_sleep=s3_bios,s3_mode

Comment 4 Bug Zapper 2010-11-04 09:54:53 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Marius Andreiana 2010-11-12 17:28:29 UTC
Same issue on F14. Is this a dupe of #540581?

Comment 6 Dave Jones 2011-10-11 20:09:03 UTC
Given where F14 is in its lifecycle, this isn't going to get fixed there.
Is this still an issue on f15 or f16beta ?

Comment 7 Tobias Florek 2011-10-11 20:31:33 UTC
as indicated last year, it did work with some not-so-magic kernel parameters. in f15 it works out of the box (well: using a newer kernel because of other bugs, which i can hardly reproduce (it's not my notebook) but which do not happen with the 3.1rcs.)


Note You need to log in before you can comment on or make changes to this bug.